Function
hasPrefix
Test whether a sequence is prefix of another sequence.
hasPrefix(left, right)
hasPrefix(comparator)
Include Headers
seqan/sequence.h
Parameters

left | The first sequence.
right | The second sequence, the putative prefix.
comparator | A comparator. Types: Lexical

Remarks
By definition, the whole sequence is a prefix of itself too: hasPrefix("abc", "abc") == true.
Return Values
true if right is a prefix of left, false otherwise.
See Also
isPrefix, Comparator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47